Les modules complémentaires qui causent des problèmes de stabilité ou de sécurité sont mis dans une liste de blocage

Depuis la version 57 de Firefox, seuls fonctionnent les modules complémentaires développés en utilisant les API WebExtensions. Vous n'êtes pas sûr que cela concerne vos modules ? Consultez l'article Modernisation de la technologie des modules pour Firefox et ces questions fréquemment posées pour davantage d'informations.
Les modules complémentaires (extensions, thèmes et plugins) qui violent les directives de Mozilla concernant les modules complémentaires (en anglais) sont mis dans une « liste de blocage ».

Que fait la liste de blocage ?

Quand un blocage est mis en œuvre, Firefox empêche les modules complémentaires douteux de se charger. Les blocages sont émis à différents niveaux selon la gravité des problèmes découverts.

  • Les blocages modérés désactivent une extension par défaut, mais permettent d'outrepasser le blocage et de continuer à utiliser le module complémentaire. Les blocages modérés sont émis pour des modules complémentaires non malveillants.
  • Les blocages sévères désactivent un module complémentaire et n'autorisent pas l'utilisateur à l'activer ou à outrepasser le blocage. Les blocages sévères sont utilisés pour des modules complémentaires détectés comme malveillants.
  • Les blocages cliquer pour activer désactivent un plugin par défaut, mais autorisent l'utilisateur à activer le plugin sur des sites particuliers. Cette sorte de blocage est émise pour des plugins non malveillants.

Comment savoir si un module est bloqué ?

Firefox affiche une notification contenant le message suivant :

Firefox a déterminé que les modules complémentaires suivants sont connus pour causer des problèmes de stabilité ou de sécurité


Add-ons Blocklist Mac1

Pour empêcher ces modules complémentaires de s'exécuter, cliquez sur Redémarrer Firefox

Si le module complémentaire fait l'objet d'un blocage sévère, il est impossible d'outrepasser le blocage.

Est-il possible d'installer un module complémentaire après son blocage ?

Quand un module a été mis en liste de blocage, il n'apparaît plus dans la galerie des modules disponibles sur le site addons.mozilla.org jusqu'à ce que son développeur mette en ligne une nouvelle version qui règle tous les problèmes qui ont motivé la demande de blocage.

En outre, Firefox empêche d'installer un module non sûr mis en liste de blocage, et notifie l'utilisateur par ce message :

Le module complémentaire « nom du module » n'a pas pu être installé car il présente un risque élevé de causer des problèmes de stabilité ou de sécurité.

S'il vous est impossible d'installer un module complémentaire, vérifiez s'il existe une version à jour du module complémentaire que vous avez essayé d'installer. Soyez toutefois conscient⋅e que certains blocages peuvent être permanents voire définitifs et nécessiter que vous trouviez un module alternatif.

Empêcher les plugins de s'exécuter automatiquement

Firefox peut empêcher un plugin de s'exécuter automatiquement (ce qui évite de nombreux problèmes). Quand Firefox bloque un plugin, vous verrez un message semblable à celui-ci : Click to play 1 new

Vous pouvez alors choisir d'exécuter le plugin ou de le mettre à jour (si une mise à jour est disponible). Pour en savoir plus, consulter l'article Pourquoi dois-je cliquer pour activer les plugins ?

Attention : la prise en charge de tous les plugins NPAPI a été abandonnée sauf pour Flash dans Firefox 52 qui a été publié le 7 mars 2017. Consultez cet article sur la compatibilité (en anglais) et cet article pour davantage de détails.

À partir de Firefox 52, la prise en charge de tous les plugins NPAPI sera interrompue, sauf pour Adobe Flash. Consultez cet article sur la compatibilité (en anglais) et cet article pour davantage de détails.

Que faire si vous voyez une notification de blocage

Si le module complémentaire installé est désactivé

Acceptez le message de notification et redémarrez Firefox. Si vous choisissez d'outrepasser un blocage modéré, vous le faites à vos risques et périls.

Plugins

Vérifiez s'il existe une version à jour de votre plugin. Si ce dernier ne dispose pas de mises à jour disponibles, vous aurez peut-être besoin de contacter le développeur du plugin qui a été bloqué.

Les blocages peuvent-ils être révoqués ?

En fonction de la sévérité de la violation des lignes de conduite, de l'historique du développeur et d'autre facteurs pertinents, certains blocages peuvent être levés une fois que le développeur a mis en ligne une nouvelle version approuvée. Si cela se produit, les utilisateurs et utilisatrices qui ont auparavant téléchargé le module concerné pourront immédiatement en retrouver l'usage dès que le module complémentaire sera à nouveau listé sur addons.mozilla.org.

Pour vous assurer que vous utilisez toujours la version la plus à jour d'un module (exetnsion ou thème) :
  1. Cliquez sur le bouton menu Fx57menu puis sur Fx57Addons-icon Modules complémentaires et choisissez Extensions.
  2. Cliquez sur l'icône des Paramètres Add-on Tools Icon et vérifiez que l'entrée de menu Mettre à jour les modules automatiquement est cochée.

Quels sont les modules complémentaires non sûrs dans la liste de blocage ?

Consultez la liste de blocage des modules complémentaires.

// Ces formidables personnes ont aidé à écrire cet article :Goofy, scoobidiver, Banban, Mozinet, Imen, Nicolas Delebecque, Cécile, YD. Vous pouvez également aider — découvrez comment.

Cet article vous a-t-il été utile ? Veuillez patienter…

Devenir bénévole pour l’assistance de Mozilla